// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input, ViewChild } from '@angular/core';

import { MzBaseModal } from 'ng2-materialize';

import { Login } from './login';
import { LoginFormComponent } from './loginForm.component';

@Component({
  selector: 'login-modal',
  template: `
<mz-modal>
  <mz-modal-header>
    Authentification requise
  </mz-modal-header>

  <mz-modal-content>
    <login-form (submit)="submit()" #loginForm="loginForm"></login-form>
  </mz-modal-content>

  <mz-modal-footer>
    <button class="btn btn-primary" [disabled]="!loginForm.form.valid" (click)="submit()">
      Login
    </button>

    <button class="btn btn-default" (click)="cancel()">
      Cancel
    </button>
  </mz-modal-footer>
</mz-modal>
  `
})
export class LoginModalComponent extends MzBaseModal {
  @ViewChild('loginForm') loginForm: LoginFormComponent;

  //submit(): void {
  //  let formModel = this.loginForm.form.value;
  //  let login: Login = new Login();

  //  login.email = formModel.email;
  //  login.password = formModel.password;

  //  this.activeModal.close(login);
  //}

  //cancel(): void {
  //  this.activeModal.dismiss("closed");
  //}
}
